# Changelog

All notable changes to this Cloudron package will be documented in this file.

## [1.0.0] - 2024-06-16

### Added
- Initial Cloudron package for mautrix-whatsapp bridge
- Support for PostgreSQL database via Cloudron addon
- Automatic configuration generation with Cloudron environment variables
- Health check endpoint for Cloudron monitoring
- QR code authentication workflow
- Comprehensive documentation and setup instructions

### Features
- Matrix-WhatsApp bridge using mautrix-whatsapp v0.10.8
- Two-way message bridging
- Media file support (images, videos, documents, audio)
- Group chat bridging
- Reaction support
- Read receipt synchronization
- Typing indicator bridging
- End-to-end encryption support in Matrix rooms

### Configuration
- Automatic homeserver domain detection from Cloudron environment
- PostgreSQL connection string injection
- Log file configuration
- Registration file generation and management